<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>ConditionalFormattingThreshold (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ConditionalFormattingThreshold (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ConditionalFormattingThreshold.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
               title="interface in org.apache.poi.ss.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingThreshold.RangeType.html"
               title="enum in org.apache.poi.ss.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/usermodel/ConditionalFormattingThreshold.html"
               target="_top">Frames</a></li>
        <li><a href="ConditionalFormattingThreshold.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.usermodel</div>
    <h2 title="Interface ConditionalFormattingThreshold" class="title">Interface ConditionalFormattingThreshold</h2>
</div>
<div class="contentContainer">
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Known Implementing Classes:</dt>
                    <dd><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormattingThreshold.html"
                           title="class in org.apache.poi.hssf.usermodel">HSSFConditionalFormattingThreshold</a>, <a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFConditionalFormattingThreshold.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFConditionalFormattingThreshold</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public interface <span class="typeNameLabel">ConditionalFormattingThreshold</span></pre>
                <div class="block">The Threshold / CFVO / Conditional Formatting Value Object.
                    <p>This defines how to calculate the ranges for a conditional
                        formatting rule, eg which values get a Green Traffic Light
                        icon and which Yellow or Red.</p></div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Nested Class Summary table, listing nested classes, and an explanation">
                            <caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Interface and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingThreshold.RangeType.html"
                                        title="enum in org.apache.poi.ss.usermodel">ConditionalFormattingThreshold.RangeType</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingThreshold.html#getFormula--">getFormula</a></span>()</code>
                                    <div class="block">Formula to use to calculate the threshold,
                                        or <code>null</code> if no formula
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingThreshold.RangeType.html"
                                        title="enum in org.apache.poi.ss.usermodel">ConditionalFormattingThreshold.RangeType</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingThreshold.html#getRangeType--">getRangeType</a></span>()</code>
                                    <div class="block">Get the Range Type used</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>java.lang.Double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingThreshold.html#getValue--">getValue</a></span>()</code>
                                    <div class="block">Gets the value used for the threshold, or
                                        <code>null</code> if there isn't one.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingThreshold.html#setFormula-java.lang.String-">setFormula</a></span>(java.lang.String&nbsp;formula)</code>
                                    <div class="block">Sets the formula used to calculate the threshold,
                                        or unsets it if <code>null</code> is given.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingThreshold.html#setRangeType-org.apache.poi.ss.usermodel.ConditionalFormattingThreshold.RangeType-">setRangeType</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingThreshold.RangeType.html"
                                        title="enum in org.apache.poi.ss.usermodel">ConditionalFormattingThreshold.RangeType</a>&nbsp;type)</code>
                                    <div class="block">Changes the Range Type used</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingThreshold.html#setValue-java.lang.Double-">setValue</a></span>(java.lang.Double&nbsp;value)</code>
                                    <div class="block">Sets the value used for the threshold.</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getRangeType--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRangeType</h4>
                                <pre><a href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingThreshold.RangeType.html"
                                        title="enum in org.apache.poi.ss.usermodel">ConditionalFormattingThreshold.RangeType</a>&nbsp;getRangeType()</pre>
                                <div class="block">Get the Range Type used</div>
                            </li>
                        </ul>
                        <a name="setRangeType-org.apache.poi.ss.usermodel.ConditionalFormattingThreshold.RangeType-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setRangeType</h4>
                                <pre>void&nbsp;setRangeType(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingThreshold.RangeType.html"
                                        title="enum in org.apache.poi.ss.usermodel">ConditionalFormattingThreshold.RangeType</a>&nbsp;type)</pre>
                                <div class="block">Changes the Range Type used

                                    <p>If you change the range type, you need to
                                        ensure that the Formula and Value parameters
                                        are compatible with it before saving</p></div>
                            </li>
                        </ul>
                        <a name="getFormula--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFormula</h4>
                                <pre>java.lang.String&nbsp;getFormula()</pre>
                                <div class="block">Formula to use to calculate the threshold,
                                    or <code>null</code> if no formula
                                </div>
                            </li>
                        </ul>
                        <a name="setFormula-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFormula</h4>
                                <pre>void&nbsp;setFormula(java.lang.String&nbsp;formula)</pre>
                                <div class="block">Sets the formula used to calculate the threshold,
                                    or unsets it if <code>null</code> is given.
                                </div>
                            </li>
                        </ul>
                        <a name="getValue--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getValue</h4>
                                <pre>java.lang.Double&nbsp;getValue()</pre>
                                <div class="block">Gets the value used for the threshold, or
                                    <code>null</code> if there isn't one.
                                </div>
                            </li>
                        </ul>
                        <a name="setValue-java.lang.Double-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>setValue</h4>
                                <pre>void&nbsp;setValue(java.lang.Double&nbsp;value)</pre>
                                <div class="block">Sets the value used for the threshold.
                                    <p>If the type is <a
                                            href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingThreshold.RangeType.html#PERCENT"><code>ConditionalFormattingThreshold.RangeType.PERCENT</code></a>
                                        or
                                        <a href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingThreshold.RangeType.html#PERCENTILE"><code>ConditionalFormattingThreshold.RangeType.PERCENTILE</code></a>
                                        it must be between 0 and 100.
                                    <p>If the type is <a
                                            href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingThreshold.RangeType.html#MIN"><code>ConditionalFormattingThreshold.RangeType.MIN</code></a>
                                        or
                                        <a href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingThreshold.RangeType.html#MAX"><code>ConditionalFormattingThreshold.RangeType.MAX</code></a>
                                        or
                                        <a href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingThreshold.RangeType.html#FORMULA"><code>ConditionalFormattingThreshold.RangeType.FORMULA</code></a>
                                        it shouldn't be set.
                                    <p>Use <code>null</code> to unset</div>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ConditionalFormattingThreshold.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
               title="interface in org.apache.poi.ss.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingThreshold.RangeType.html"
               title="enum in org.apache.poi.ss.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/usermodel/ConditionalFormattingThreshold.html"
               target="_top">Frames</a></li>
        <li><a href="ConditionalFormattingThreshold.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
